## libgtkada 23.0.0

=== docs/gtkada_rm/Makefile ===

MKDIR = mkdir -p

gtkada_rm: docgen docgen_clean

docgen:
	$(MKDIR) gtkada_rm
	$(MKDIR) doc_obj
	gnatdoc -Pgtkada_documentation.gpr --enable-build

docgen_clean:
	$(RM) -rf doc_obj/*

clean: docgen_clean
	$(RM) generated.texi generated_menu.texi
	$(RM) -rf gtkada_rm/

distclean: clean

force:

=== debian/changelog ===
libgtkada (23.0.0-4) unstable; urgency=medium

  * Break/Replace libgtkada*-dev since oldstable. Closes: #1034970.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 00:25:12 +0200

libgtkada (23.0.0-3) unstable; urgency=medium

  * Let -dev depend on libgtk-dev (previously done by dh-ada-library).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Dec 2022 18:22:58 +0000

libgtkada (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:34:34 +0100

libgtkada (23.0.0-1) experimental; urgency=medium

  * Build new upstream release for experimental with gcc-12.
    Rename lib and -dev packages accordingly.
    Remove obsolete patches and OpenGL quirks.
  * ./configure during both -arch and -indep builds, adapt Build-Dependencies.
  * Build-Depends: + sphinx read-the-doc theme, - unversioned libcairo-dev.
  * Standards-Version: 4.6.1.
  * Install architecture-dependent files with gprinstall to debian/tmp,
    then dispatch with dh-ada-library/8.2.
    Install docs manually (this is necessary for -indep builds),
    but also in 2 steps for consistency.
  * Restore upstream base names when installing the user guide.
  * Adapt and install the documentation plug-in for gnat studio.
  * Replace dh_auto_build (make -j) with non-parallel Make.
    Gprbuild and sphinx assume that they’re alone in charge of parallelism.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 14 Dec 2022 10:15:07 +0000

=== debian/control ===
Source: libgtkada
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
# An html source is AC_OUTPUT, configure CC= requires packaging.mk.
# So we need gnat/gprbuild even during -indep builds (not a big issue).
 dh-ada-library (>= 8.2),
 gnat-12,
 gprbuild (>= 2021.0.0.0778b109-2),
 libgtk-3-dev,
 pkg-config,
# See docs/gtkada_ug/system_dependencies.rst.
Build-Depends-Arch:
 dh-sequence-ada-library,
 libcairo2-dev,
# src/fontconfig.adb
 libfontconfig-dev,
# gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
 libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
 libglib2.0-dev,
 libpango1.0-dev,
# Makefile.in
 python3,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
# Sphinx >= 1.6 uses the latexmk driver:
 latexmk,
 python3-sphinx,
# docs/gtkada_ug/conf.py
 python3-sphinx-rtd-theme,
 sphinx-common,
 tex-gyre,
 texlive-fonts-recommended,
 texlive-latex-extra,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/AdaCore/gtkada
Vcs-Browser: https://salsa.debian.org/debian/libgtkada
Vcs-Git: https://salsa.debian.org/debian/libgtkada.git

Package: libgtkada22-dev
Breaks: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev
Replaces: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev
Architecture: any
Depends: ${ada:Depends}, ${misc:Depends},
 libcairo2-dev,
 libfontconfig-dev,
 libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libpango1.0-dev,
Suggests: libgtkada-bin (=${binary:Version}),
 libgtkada-doc
Description: Ada binding for the GTK+ GUI (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries.

Package: libgtkada22
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for the GTK+ GUI (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This library will let you run Ada applications compiled with GTK+.

Package: libgtkada-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, libgtkada-doc
Description: Ada binding for the GTK+ GUI (development utilities)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the gtkada-dialog development utility.

Package: libgtkada-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Suggests: gnat
Description: Ada binding for the GTK+ GUI (documentation)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the user guide, examples, lists of known
 problems and comments about the Debian packaging.
 .
 The reference manual cannot be generated within Debian for now.
 It is available at
 https://docs.adacore.com/live/wave/gtkada/html/gtkada_rm/index.html.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libgtkada
# Copyright (c) 2003-2012 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2011-2022 Nicolas Boulenguez <nicolas@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# The full text of the GNU General Public License is in the file
# /usr/share/common-licenses/GPL-3 on Debian systems.

%:
	dh $@

DPKG_EXPORT_BUILDFLAGS := 1
# -gnatVa triggers #998177.
DEB_ADAFLAGS_MAINT_APPEND := -gnatVcdefimnoprst -gnatafo
DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/ada/packaging.mk

# TODO: why is AC_CONFIG_MACRO_DIR([m4]) not sufficient?
export ACLOCAL := aclocal -Im4

override_dh_auto_configure:
 # Requires pkg-config package.
	dh_auto_configure -- \
	  --enable-shared \
	  --disable-static-pic \
	  --includedir=$${prefix}/share/ada/adainclude \
	  CC=gcc-$(DEB_GNAT_VERSION) \
	  PACKAGE_VERSION=$(gtkada_SO_VERSION)

# Work around because gtk.gpr is not generated.
export GTK_PREFIX := /usr

override_dh_auto_build-arch:
 # Instead of running default target all: static relocatable tools tests,
 # - write generated Ada sources (removed by the clean target)
 # - link tools dynamically
 # - run tests only if DEB_BUILD_OPTIONS does not contain nocheck.

 # We want one gprbuild main process, even if itself deals with
 # parallelism.  Hence, prefer MAKE to dh_auto_build (=make -jN).

 # When changing this, check that the library is only built twice.
	$(MAKE) generate src/gtkada-intl.adb PYTHON=python3
	gprconfig --batch $(GPRCONFIGFLAGS)
	gprbuild -m -p $(GPRBUILDFLAGS) src/gtkada.gpr -XLIBRARY_TYPE=static
	gprbuild -m -p ${GPRBUILDFLAGS} src/tools/tools.gpr

override_dh_auto_test-arch:
	gprbuild -m -p $(GPRBUILDFLAGS) testgtk/testgtk.gpr

override_dh_auto_install-arch:
	gprinstall src/tools/tools.gpr $(standard_GPRINSTALLFLAGS)
  # 20221214: gprinstall ignores the --no-project option.
  #   Work-around: install the (buggy) static project to the default
  #   location first, then overwrite it with the (desired) shared
  #   project (the locations match).
	gprinstall src/gtkada.gpr $(static_GPRINSTALLFLAGS) \
	  -XLIBRARY_TYPE=static
	gprinstall src/gtkada.gpr $(call shared_GPRINSTALLFLAGS,gtkada)

# Archive testgtk sources, so that the user does not need to
# uncompress them separately.
# Remove objects and executables.
testgtk_exclude := obj/* test_rtree testgtk testgtk.gpr
reproducible_tar_options := --owner=0 --group=0 --numeric-owner
reproducible_gz_options  := --no-name

# TODO: add the reference manual when gnat-gps/gnatdoc is available
override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
  # We want one sphinx main process, even if itself deals with parallelism.
  # Hence, prefer MAKE to dh_auto_build (=make -jN).
	$(MAKE) -Cdocs/gtkada_ug latexpdf html \
	  $(addprefix SPHINXOPTS=-j,$(DEB_BUILD_OPTION_PARALLEL))

  # Exclude or transform options only affect following files.
  # testgtk/testgtk.gpr is overwritten (or more accurately, appended twice).
	tar --create \
	  $(reproducible_tar_options) \
	  $(addprefix --exclude=testgtk/,$(testgtk_exclude)) testgtk \
	  --transform=s_debian_testgtk_ debian/testgtk.gpr \
	  | gzip $(reproducible_gz_options) > testgtk.tgz
endif

override_dh_auto_test-indep:

override_dh_auto_install-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
# See debian/patches/gprinstall-no-indep-artifacts.diff.
	mkdir -p debian/tmp/usr/share/gps/plug-ins
	cp --reflink=auto -aftdebian/tmp/usr/share/gps/plug-ins \
	  xml/gtkada.xml
	mkdir -p debian/tmp/usr/share/doc/gtkada/gtkada_ug
	cp --reflink=auto -aftdebian/tmp/usr/share/doc/gtkada/gtkada_ug \
	  docs/gtkada_ug/_build/html/* \
	  docs/gtkada_ug/_build/latex/GtkAda.pdf
endif

## libgtkada 24.0.0

=== docs/gtkada_ug/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)

distclean: clean

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GtkAda.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GtkAda.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GtkAda"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GtkAda"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
libgtkada (24.0.0-5build2) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 07:46:26 +0200

libgtkada (24.0.0-5build1) questing; urgency=medium

  * No-change rebuild against fixed gnat-14, see #1104593

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 19 May 2025 12:00:47 +0000

libgtkada (24.0.0-5) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 20 Mar 2025 09:33:25 +0100

libgtkada (24.0.0-4) experimental; urgency=medium

  * Build with gnat-14 in experimental.
  * Enable salsa continuous integration via debian/salsa-ci.yml
  * Remove the ./configure shell script from the clean target.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 22 Feb 2025 14:56:23 +0100

libgtkada (24.0.0-3) unstable; urgency=medium

  * Reduce optimization to -O1 on armhf.  Closes: #1068058.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 May 2024 05:35:15 +0000

libgtkada (24.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
  * Build-Depend on pkgconf instead of deprecated pkg-config.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:39:08 +0100

libgtkada (24.0.0-1) experimental; urgency=medium

  * New upstream release, requiring python3-sphinx-rtd-theme.
  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Restrict autopkgtest dependencies now that -dev is unversioned.
  * Remove obsolete alternative dependency for libgdk-pixbuf-2.0-dev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 06 Jan 2024 18:39:20 +0000

libgtkada (23.0.0-6) unstable; urgency=medium

  * testgtk: preserve file permissions in tar archive
  * Disable LTO optimization.  Closes: #1015492
  * Pass build flags to testgtk/task_project, simplify creation of testgtk.tgz
  * Simplify installation of registering for gnat-studio

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Aug 2023 19:46:14 +0000

libgtkada (23.0.0-5) unstable; urgency=medium

  * Fix clean target. Closes: #1047751.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Aug 2023 10:29:22 +0000

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,20 @@
  debhelper-compat (= 13),
 # An html source is AC_OUTPUT, configure CC= requires packaging.mk.
 # So we need gnat/gprbuild even during -indep builds (not a big issue).
- dh-ada-library (>= 8.2),
- gnat-12,
- gprbuild (>= 2021.0.0.0778b109-2),
+ dh-ada-library (>= 9),
+ dh-sequence-ada-library,
+ gnat,
+ gnat-14,
+ gprbuild (>= 2025.0.0-2),
  libgtk-3-dev,
- pkg-config,
+ pkgconf,
 # See docs/gtkada_ug/system_dependencies.rst.
 Build-Depends-Arch:
- dh-sequence-ada-library,
  libcairo2-dev,
 # src/fontconfig.adb
  libfontconfig-dev,
 # gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
- libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libglib2.0-dev,
  libpango1.0-dev,
 # Makefile.in
@@ -35,20 +36,23 @@
  tex-gyre,
  texlive-fonts-recommended,
  texlive-latex-extra,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/gtkada
 Vcs-Browser: https://salsa.debian.org/debian/libgtkada
 Vcs-Git: https://salsa.debian.org/debian/libgtkada.git
 
-Package: libgtkada22-dev
-Breaks: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev
-Replaces: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev
+Package: libgtkada-dev
+Breaks: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev,
+ libgtkada22-dev
+Replaces: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev,
+ libgtkada22-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${ada:Depends}, ${misc:Depends},
  libcairo2-dev,
  libfontconfig-dev,
- libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libglib2.0-dev,
  libgtk-3-dev,
  libpango1.0-dev,
@@ -60,7 +64,7 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgtkada22
+Package: libgtkada23
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,23 @@
 %:
 	dh $@
 
+include /usr/share/dpkg/architecture.mk
+
 DPKG_EXPORT_BUILDFLAGS := 1
+
 # -gnatVa triggers #998177.
 DEB_ADAFLAGS_MAINT_APPEND := -gnatVcdefimnoprst -gnatafo
+
+# #1068058 gtkada-canvas_view.adb: Assembler messages: branch out of range
+ifeq ($(DEB_HOST_ARCH),armhf)
+  ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    DEB_ADAFLAGS_MAINT_APPEND += -O1
+  endif
+endif
+
 DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
-DEB_BUILD_MAINT_OPTIONS := hardening=+all
+# debian/lto-failure-log completes the description in #1015492.
+DEB_BUILD_MAINT_OPTIONS := hardening=+all optimize=-lto
 DEB_LDFLAGS_MAINT_APPEND := \
   -Wl,--no-allow-shlib-undefined \
   -Wl,--no-copy-dt-needed-entries \
@@ -78,8 +90,10 @@
 # Archive testgtk sources, so that the user does not need to
 # uncompress them separately.
 # Remove objects and executables.
-testgtk_exclude := obj/* test_rtree testgtk testgtk.gpr
-reproducible_tar_options := --owner=0 --group=0 --numeric-owner
+testgtk_exclude := obj/* test_rtree testgtk testgtk.gpr \
+  task_project/task_project.gpr
+reproducible_tar_options := --owner=0 --group=0 --numeric-owner \
+  --preserve-permissions
 reproducible_gz_options  := --no-name
 
 # TODO: add the reference manual when gnat-gps/gnatdoc is available
@@ -91,7 +105,6 @@
 	  $(addprefix SPHINXOPTS=-j,$(DEB_BUILD_OPTION_PARALLEL))
 
   # Exclude or transform options only affect following files.
-  # testgtk/testgtk.gpr is overwritten (or more accurately, appended twice).
 	tar --create \
 	  $(reproducible_tar_options) \
 	  $(addprefix --exclude=testgtk/,$(testgtk_exclude)) testgtk \
@@ -104,9 +117,6 @@
 override_dh_auto_install-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 # See debian/patches/gprinstall-no-indep-artifacts.diff.
-	mkdir -p debian/tmp/usr/share/gps/plug-ins
-	cp --reflink=auto -aftdebian/tmp/usr/share/gps/plug-ins \
-	  xml/gtkada.xml
 	mkdir -p debian/tmp/usr/share/doc/gtkada/gtkada_ug
 	cp --reflink=auto -aftdebian/tmp/usr/share/doc/gtkada/gtkada_ug \
 	  docs/gtkada_ug/_build/html/* \

=== debian/tests/control ===
Tests: link-with-shared
Restrictions: allow-stderr
Depends: gprbuild, libgtkada-dev, libgtkada-doc, xauth, xvfb
# xvfb-run depends on xauth, see header in /usr/bin/xvfb-run.
